#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-types
version:              1.2.0.0
visibility:           public
id:                   lsp-types-1.2.0.0-8pXAVNgM0Lx6Xwtw8bbtnc
key:                  lsp-types-1.2.0.0-8pXAVNgM0Lx6Xwtw8bbtnc
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  2d02b3c058e2d5a1ce3ff79220ceaed3
exposed:              True
exposed-modules:
    Data.IxMap Language.LSP.Types Language.LSP.Types.Capabilities
    Language.LSP.Types.Lens Language.LSP.VFS

hidden-modules:
    Language.LSP.Types.Cancellation
    Language.LSP.Types.ClientCapabilities Language.LSP.Types.CodeAction
    Language.LSP.Types.CodeLens Language.LSP.Types.Command
    Language.LSP.Types.Common Language.LSP.Types.Completion
    Language.LSP.Types.Configuration Language.LSP.Types.Declaration
    Language.LSP.Types.Definition Language.LSP.Types.Diagnostic
    Language.LSP.Types.DocumentColor Language.LSP.Types.DocumentFilter
    Language.LSP.Types.DocumentHighlight
    Language.LSP.Types.DocumentLink Language.LSP.Types.DocumentSymbol
    Language.LSP.Types.FoldingRange Language.LSP.Types.Formatting
    Language.LSP.Types.Hover Language.LSP.Types.Implementation
    Language.LSP.Types.Initialize Language.LSP.Types.Location
    Language.LSP.Types.LspId Language.LSP.Types.MarkupContent
    Language.LSP.Types.Method Language.LSP.Types.Message
    Language.LSP.Types.Parsing Language.LSP.Types.Progress
    Language.LSP.Types.Registration Language.LSP.Types.References
    Language.LSP.Types.Rename Language.LSP.Types.SelectionRange
    Language.LSP.Types.ServerCapabilities
    Language.LSP.Types.SignatureHelp
    Language.LSP.Types.StaticRegistrationOptions
    Language.LSP.Types.TextDocument Language.LSP.Types.TypeDefinition
    Language.LSP.Types.Uri Language.LSP.Types.Utils
    Language.LSP.Types.Window Language.LSP.Types.WatchedFiles
    Language.LSP.Types.WorkspaceEdit
    Language.LSP.Types.WorkspaceFolders
    Language.LSP.Types.WorkspaceSymbol

import-dirs:          /usr/lib/ghc-9.0.1/site-local/lsp-types-1.2.0.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/lsp-types-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/lsp-types-1.2.0.0
hs-libraries:         HSlsp-types-1.2.0.0-8pXAVNgM0Lx6Xwtw8bbtnc
depends:
    aeson-1.5.6.0-4QZBz5tFJCa4vYJnIaZosC base-4.15.0.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-9pDbF71G48YK8T0Zltgcr6 deepseq-1.4.5.0
    dependent-sum-0.7.1.0-7m4d7iAVdfOJRkrW2QYjKc
    dependent-sum-template-0.1.0.3-6Pq96k463m6JU4XgjqPzBT
    directory-1.3.6.1 filepath-1.4.2.1
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    hslogger-1.3.1.0-DfkdgRW6FIoKUVDKZVif6P
    lens-5.0.1-CE9s0lQGY8bEWAPVzuFvlH
    network-uri-2.6.4.1-F8ejguT1lLFGGsmJsetxmT
    rope-utf16-splay-0.3.2.0-FLko9OfpCmFCmM8cOksyf8
    scientific-0.3.7.0-F2MBUkoYGp6KEgnjp0kAXg
    some-1.0.3-7sghqqTkEQg7XqQ206Tg1F template-haskell-2.17.0.0
    temporary-1.3-6hxxoOl39p96VrHdiGIImR text-1.2.4.1
    unordered-containers-0.2.14.0-2KTdZELexC4Ii5buywP0mp

haddock-interfaces:   /usr/share/doc/haskell-lsp-types/html/lsp-types.haddock
haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

